package com.dcs.hnyz.mapper;

import java.util.List;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.dcs.hnyz.domain.PlcInfo;

/**
 * PLC信息管理Mapper接口
 * 
 * @author hmy
 * @date 2025-04-27
 */
public interface PlcInfoMapper extends BaseMapper<PlcInfo>
{
    /**
     * 查询PLC信息管理
     * 
     * @param plcId PLC信息管理主键
     * @return PLC信息管理
     */
    public PlcInfo selectPlcInfoByPlcId(Long plcId);

    /**
     * 查询PLC信息管理列表
     * 
     * @param plcInfo PLC信息管理
     * @return PLC信息管理集合
     */
    public List<PlcInfo> selectPlcInfoList(PlcInfo plcInfo);

    /**
     * 新增PLC信息管理
     * 
     * @param plcInfo PLC信息管理
     * @return 结果
     */
    public int insertPlcInfo(PlcInfo plcInfo);

    /**
     * 修改PLC信息管理
     * 
     * @param plcInfo PLC信息管理
     * @return 结果
     */
    public int updatePlcInfo(PlcInfo plcInfo);

    /**
     * 删除PLC信息管理
     * 
     * @param plcId PLC信息管理主键
     * @return 结果
     */
    public int deletePlcInfoByPlcId(Long plcId);

    /**
     * 批量删除PLC信息管理
     * 
     * @param plcIds 需要删除的数据主键集合
     * @return 结果
     */
    public int deletePlcInfoByPlcIds(Long[] plcIds);
}
